package com.yidian.shenghuoquan.border.app.adapter

import android.content.Context
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.TextView
import androidx.recyclerview.widget.RecyclerView
import com.yidian.shenghuoquan.border.R
import com.yidian.shenghuoquan.border.app.bean.Coupon

class VoncherAdapter(var context: Context, var voncherList:List<Coupon>) : RecyclerView.Adapter<RecyclerView.ViewHolder>() {
  override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): RecyclerView.ViewHolder {
    var view: View = LayoutInflater.from(context).inflate(R.layout.border_voncher_item, parent, false)
    var holder = MyViewHoder(view)
    return holder
  }

  override fun onBindViewHolder(holder: RecyclerView.ViewHolder, position: Int) {
    mapDataToHoder(voncherList[position], holder as MyViewHoder, position)
  }

  override fun getItemCount(): Int {
    return voncherList.size
  }

  class MyViewHoder(itemView: View) : RecyclerView.ViewHolder(itemView) {

  }

  private fun mapDataToHoder(data: Coupon, holder: MyViewHoder, position: Int) {
    holder.itemView.findViewById<TextView>(R.id.tv_voncher_name).text = data.name
    holder.itemView.findViewById<TextView>(R.id.tv_voncher_amount).text = data.coupon_amount.toString()
    holder.itemView.findViewById<TextView>(R.id.tv_start_end_time).text = "${data.start_time} ${data.end_time}"
    holder.itemView.findViewById<TextView>(R.id.tv_voncher_type).text = "${data.type}"
    holder.itemView.findViewById<TextView>(R.id.tv_voncher_desc).text = data.desc
  }
}
