package com.yidian.shenghuoquan.border.app.bean

import android.os.Parcelable
import com.google.gson.annotations.SerializedName
import kotlinx.parcelize.Parcelize

data class CounponDto(
    val coupon_list: List<Coupon>
)
@Parcelize
data class Coupon(
    @SerializedName("amount")
    val amount: String,
    @SerializedName("counpon_amount")
    val coupon_amount: Int,
    @SerializedName("coupon_id")
    val coupon_id: String,
    @SerializedName("desc")
    val desc: String,
    @SerializedName("end_time")
    val end_time: String,
    @SerializedName("id")
    val id: String,
    @SerializedName("jump_url")
    val jump_url: String,
    @SerializedName("name")
    val name: String,
    @SerializedName("start_time")
    val start_time: String,
    @SerializedName("status")
    val status: Int,
    @SerializedName("thumbnail")
    val thumbnail: String,
    @SerializedName("type")
    val type: Int,
    @SerializedName("use_activity_type")
    val use_activity_type: Int,
    @SerializedName("use_amount_min")
    val use_amount_min: Int,
    @SerializedName("use_amount_type")
    val use_amount_type: Int,
    @SerializedName("use_shop_type")
    val use_shop_type: Int
) : Parcelable
